Package com.macrofocus.high_d.table

# Class AbstractTable<Component,Color,Format,R,C,V>

java.lang.Object
com.macrofocus.high_d.table.AbstractTable<Component,Color,Format,R,C,V>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `Table<Component,Color,Format,R,C,V>`

Direct Known Subclasses:
  `JavaFXTable`

public abstract class AbstractTable<Component,Color,Format,R,C,V> extends Object implements Table<Component,Color,Format,R,C,V>
Created by luc on 04/11/15.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.table.Table

  `Table.CellRenderer<Component,R,C,V>, Table.ColumnResizePolicy, Table.DetailsFactory<Component,R>, Table.InteractionMode, Table.PropertyType, Table.Style`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final MutableProperties<Table.PropertyType>`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTable(com.macrofocus.igraphics.CPColorFactory<Color> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `MutableProperty<Table.InteractionMode>`
  `getInteractionMode()`
  `Object`
  `getLocksmith()`
  `MutableProperty<Boolean>`
  `getShowDistribution()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `MutableProperty<Table.Style>`
  `getStyle()`
  `boolean`
  `isSelectionMode()`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setLocksmith(Object locksmith)`
  `void`
  `setSelectionMode(boolean value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `getNativeComponent, setStyleClass`

  ### Methods inherited from interface com.macrofocus.high_d.table.Table

  `adjustColumns, getSortedDataFrame, reset, setCellRenderer, setColumnResizePolicy, setColumnVisible, setDetailsFactory, setFormat, setFrozenColumnCount, setHidable, setLabel, setModel, setShowFiltered, setSortKey`

- ## Field Details

  - ### properties

    protected final MutableProperties<Table.PropertyType> properties

- ## Constructor Details

  - ### AbstractTable

    public AbstractTable(com.macrofocus.igraphics.CPColorFactory<Color> factory)

- ## Method Details

  - ### getLocksmith

    public Object getLocksmith()

  - ### setLocksmith

    public void setLocksmith(Object locksmith)
    Specified by:
      `setLocksmith` in interface `Table<Component,Color,Format,R,C,V>`

  - ### isSelectionMode

    public boolean isSelectionMode()

  - ### setSelectionMode

    public void setSelectionMode(boolean value)

  - ### getShowFiltered

    public MutableProperty<Boolean> getShowFiltered()
    Specified by:
      `getShowFiltered` in interface `Table<Component,Color,Format,R,C,V>`

  - ### getInteractionMode

    public MutableProperty<Table.InteractionMode> getInteractionMode()
    Specified by:
      `getInteractionMode` in interface `Table<Component,Color,Format,R,C,V>`

  - ### getStyle

    public MutableProperty<Table.Style> getStyle()

  - ### getShowDistribution

    public MutableProperty<Boolean> getShowDistribution()
    Specified by:
      `getShowDistribution` in interface `Table<Component,Color,Format,R,C,V>`

  - ### setColorTheme

    public void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Description copied from interface: `Table`
    Sets the color theme to use.
    Specified by:
      `setColorTheme` in interface `Table<Component,Color,Format,R,C,V>`
    Parameters:
      `colorTheme` - the color theme to use

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Description copied from interface: `Table`
    Returns the color theme to use.
    Specified by:
      `getColorTheme` in interface `Table<Component,Color,Format,R,C,V>`
    Returns:
      the color theme